aboutsummaryrefslogtreecommitdiff
path: root/smallapp/unbound-control-setup.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'smallapp/unbound-control-setup.sh.in')
-rw-r--r--smallapp/unbound-control-setup.sh.in4
1 files changed, 4 insertions, 0 deletions
diff --git a/smallapp/unbound-control-setup.sh.in b/smallapp/unbound-control-setup.sh.in
index eaf1d082cb76..f74b0105afee 100644
--- a/smallapp/unbound-control-setup.sh.in
+++ b/smallapp/unbound-control-setup.sh.in
@@ -104,6 +104,10 @@ while getopts 'd:hr' arg; do
done
shift $((OPTIND - 1))
+if ! openssl >/dev/null 2>&1; then
+ echo "$0 requires openssl to be installed for keys/certificates generation." >&2
+ exit 1
+fi
echo "setup in directory $DESTDIR"
cd "$DESTDIR"